﻿# TP Mesure de pH - Marieke Bonnaffé-Moity - Académie de la Guyane - Juin 2020

import numpy as np
import matplotlib.pyplot as plt

#Valeurs expérimentales
Concentration = [...] #Liste des concentrations. A compléter par les élèves
pHexp=[...] #Liste des valeurs de pH. A completer par les élèves en respectant l'ordre choisis pour les concentrations.

#Tracé du modèle à partir de la relation du pH
cth=np.arange(0.00009,0.15,0.0001) #Genere une liste de valeurs de concentrations
pHth=-np.log10(cth) #Calcul le pH théorie relatif aux concentrations

#Tracé de l'évolution du pH en fonction de la concentration
plt.plot(cth,pHth,color = 'red', label = 'modelisation théorique') #Tracé du modèle théorique
plt.scatter(x=Concentration,y=pHexp,marker= '+', label='Mesures expérimentales') #Tracé des points correspondants aux mesures expérimentales
plt.xlabel('Concentration en mol/L')
plt.ylabel('pH')
plt.title('Evolution du pH en fonction de la concentration')
plt.legend()


#A Completer pour la partie 3 du TP. Dans la partie 1 et 2, les valeurs sont fixées à 0.
#Tracé des barres d'incertitudes (les incertitudes sur la concentration sont évaluées à l'aide d'une autre programme)
incertitudeC=[0,0,0,0] #Inscrire les valeurs des incertitudes de chaque concentration en respectant l'ordre de la liste concentration
incertitudepH=0 #Inscrire la valeur de l'incertitude du pHmetre
plt.errorbar(Concentration,pHexp,xerr=incertitudeC,yerr=incertitudepH,fmt='none',ecolor='orange')
plt.show()
